﻿html, body {
    height: 100%;
}

body {
    /*background-color: #5AC2F5;*/
}

    body > .wrapper {
        background: url(../content/images/masterpage/RoyalBlue/page_img.jpg) 50% 0 no-repeat, url(../content/images/masterpage/RoyalBlue/page_b.png) 0 100% repeat-x, url(../content/images/masterpage/RoyalBlue/page_t.png) 0 0 repeat-x;
    }


@media(max-width: 768px) {
    .panel-body {
        padding: 4px;
    }

    .container {
        padding-left: 2px;
        padding-right: 2px;
    }
}

.requiredLabel {
    color: #e80000;
    font-weight: bold;
}

#aimsNav {
    margin-top: 10px;
}

#app {
    overflow: hidden;
    position: relative;
    width: 100%;
    min-height: 85%;
    margin-top: 25px;
    margin-bottom: 0px;
    border-radius: 5px 5px 0px 0px;
}

.fullHeight {
    height: 100%;
}

.spinner {
    position: absolute;
    background-size: 60px;
    background-color: black;
    background-image: url(../content/images/general/loading.gif);
    background-repeat: no-repeat;
    background-position: center;
    opacity: 0.8;
    z-index: 1000;
    width: 100%;
    height: 100%;
    right: 0;
    top: 0;
    display: none;
}

.boxSizingBorderBox {
    box-sizing: border-box;
}

.topMargin {
    margin-top: 5px;
}

.removePaddings {
    padding: 0px;
}

.wrapLongPlaceholder > span {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

    .wrapLongPlaceholder > span > span {
        white-space: normal;
    }

.checkboxLabel {
    display: block;
    padding-left: 15px;
    text-indent: -15px;
}

.checkboxInput {
    width: 13px;
    height: 13px;
    padding: 0;
    margin: 0;
    vertical-align: bottom;
    position: relative;
    top: -1px;
    *overflow: hidden;
}

.buttonLabel {
    display: block;
    padding-left: 55px;
    text-indent: -55px;
}

.buttonInput {
    width: 50px;
    margin: 0;
}

.customHr {
    width: 100%;
    font-size: 1px;
    color: rgba(244, 244, 244, 244);
    line-height: 1px;
    background-color: grey;
}

.fullWidthElement {
    width: 100%;
}


.k-textbox {
    width: 100%;
}


.panel-silver {
    background-color: #F3F3F3;
}

.navbar-brand {
    padding-top: 0;
    padding-bottom: 0;
    height: 100%;
}

.navbar-inverse {
    background-image: -webkit-linear-gradient(top,#303234 0,#313131 100%);
    background-image: -o-linear-gradient(top,#303234 0,#313131 100%);
    background-image: -webkit-gradient(linear,left top,left bottom,from(#303234),to(#313131));
    background-image: linear-gradient(to bottom,#303234 0,#313131 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff303234', endColorstr='#ff313131', GradientType=0);
    filter: progid:DXImageTransform.Microsoft.gradient(enabled=false);
    background-repeat: repeat-x;
    border-radius: 4px;
}

.block-header {
    padding: 0px;
    border: 0px;
}

.btn-header {
    width: 100%;
    text-align: left;
    background-image: linear-gradient(to bottom,#6ECCF7 0,#1D71A9 100%);
    background-image: -webkit-linear-gradient(top,#6ECCF7 0,#1D71A9 100%);
    background-image: -o-linear-gradient(top,#6ECCF7 0,#1D71A9 100%);
    background-image: -webkit-gradient(linear,left top,left bottom,from(#6ECCF7),to(#1D71A9));
}

    .btn-header:focus, .btn-header:hover {
        background-color: #2275AD;
        background-position: 0 -15px;
    }

    .btn-header:hover {
        color: #fff;
        background-color: #2275AD;
        border-color: #204d74;
    }

.input-group-textbox {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

#searchInventoryView .inventoryGridButton,
#locationViewResultsPanel .workOrderGridButton,
#workOrderViewResultsPanel .workOrderGridButton {
    padding-left: 0px;
    padding-right: 0px;
    min-width: 40px;
}

    #searchInventoryView .inventoryGridButton > span,
    #locationViewResultsPanel .locationGridButton > span,
    #workOrderViewResultsPanel .workOrderGridButton {
        margin: 0px;
    }

#searchInventoryView .removeButton,
#locationViewResultsPanel .removeButton,
#workOrderViewResultsPanel .removeButton {
    background-color: #e66262;
}

#searchInventoryView .editButton,
#locationViewResultsPanel .editButton,
#workOrderViewResultsPanel .editButton {
    background-color: #2499e3;
}

.map-panel {
    padding: 0px;
}

.nav-tabs > li > a {
    padding-bottom: 4px;
}

.col-window-input {
    margin-bottom: 5px;
    padding: 0px;
}

#filtersPanel {
    margin-left: 0px;
    margin-right: 0px;
}


@media (min-width: 992px) {

    #locationSelectionWindow {
        padding-left: 5%;
        padding-right: 5%;
    }

    .col-window-input {
        margin-bottom: 15px;
        padding: 0px;
    }

    #filtersPanel {
        margin-left: -10px;
        margin-right: 5px;
    }
}

.customHr {
    width: 100%;
    font-size: 1px;
    color: rgba(244, 244, 244, 244);
    line-height: 1px;
    background-color: grey;
}

.fullWidthElement {
    width: 100%;
}

.toggleButtonChecked {
    background-color: #1277b7;
    border-color: #2371a2;
}

#locationViewTemplate .k-grid .k-grid-header .k-header .k-link,
#locationSearchTemplate .k-grid .k-grid-header .k-header .k-link {
    height: auto;
    text-align: center;
}

#locationViewTemplate .k-grid-header .k-header,
#locationSearchTemplate .k-grid-header .k-header {
    white-space: normal;
}

#locationViewTemplate .k-grid td,
#locationSearchTemplate .k-grid td {
    white-space: nowrap;
    text-overflow: ellipsis;
}

.k-primary {
    background-image: none,linear-gradient(to bottom,rgba(255,255,255,0) 0,rgba(23, 0, 0, 0.2) 100%);
}

#locationSelectionTemplate .k-grid td {
    white-space: nowrap;
    text-overflow: ellipsis;
}

.inventorySearchCabinetRow {
    background-color: rgba(73, 163, 212, 0.33);
}

.inventorySearchNonAssignedComponentRow {
    background-color: rgba(206, 17, 17, 0.93);
    color: white;
}

.k-map .k-marker-custom-marker {
    background-image: url('../content/images/general/pin.png');
    width: 14px;
    height: 24px;
}

#logo_wrapper img {
    max-width: 200px;
    height: auto;
}

@media (min-width: @screen-sm-min) {
    .text-sm-left {
        text-align: left;
    }

    .text-sm-right {
        text-align: right;
    }

    .text-sm-center {
        text-align: center;
    }

    .text-sm-justify {
        text-align: justify;
    }
}

@media (min-width: @screen-md-min) {
    .text-md-left {
        text-align: left;
    }

    .text-md-right {
        text-align: right;
    }

    .text-md-center {
        text-align: center;
    }

    .text-md-justify {
        text-align: justify;
    }
}

@media (min-width: @screen-lg-min) {
    .text-lg-left {
        text-align: left;
    }

    .text-lg-right {
        text-align: right;
    }

    .text-lg-center {
        text-align: center;
    }

    .text-lg-justify {
        text-align: justify;
    }
}

@media (min-width: 1200px) {
    .text-left-not-lg, .text-center-not-lg, .text-right-not-lg, .text-justify-not-lg {
        text-align: inherit;
    }

    .text-left-lg {
        text-align: left;
    }

    .text-center-lg {
        text-align: center;
    }

    .text-right-lg {
        text-align: right;
    }

    .text-justify-lg {
        text-align: justify;
    }
}
